Bug Hunting Session
Bug 44293 - FORMATTING: Format ordinal number suffixes (1st -> 1^st) doesn't work in Portuguese
Summary: FORMATTING: Format ordinal number suffixes (1st -> 1^st) doesn't work in Port...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2011-12-29 13:52 UTC by Gustavo Pacheco
Modified: 2019-10-07 03:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Portuguese ordinal numbers suffixes (3.36 KB, image/png)
2011-12-29 13:52 UTC, Gustavo Pacheco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Pacheco 2011-12-29 13:52:55 UTC
Created attachment 54959 [details]
Portuguese ordinal numbers suffixes

"Format ordinal number suffixes (1st -> 1^st) " in Tools/AutoCorrect Options/Localized Options doesn't work in portuguese. 

The specification of the replacements is:

For singular:
replace the "ro" after the number for ^.o (male genre);
replace the "ra" after the number for ^.a (female genre). 

For plural:
replace the "ros" after the number for ^.os (male genre);
replace the "ras" after the number for ^.as (female genre). 

This configuration solve the problem for both pt(Portugal) and pt-BR(Brazil). Please, see the examples in the attached image.

Thanks,
Gustavo Pacheco.
Comment 1 Rainer Bielefeld Retired 2013-04-08 15:50:30 UTC
@Gustavo Pacheco
Still a problem for you?
Did that work in more early versions for you? For (from OOo9 inherited problems please use Version 3.3.0 Beta2
Comment 2 Julien Nabet 2014-05-03 11:39:22 UTC
On pc Debian x86-64 with master sources (future 4.3.0) updated yesterday, I gave a try and reproduced the problem.

I contacted Sérgio Marques (from https://wiki.documentfoundation.org/Language_Teams), here are more information:

1a and 1o are converted to 1ª and 1º but they should be converted to 1.ª and 1.º
The examples in bugtracker still dont work but they are valid and should be like screenshot attached in bug report.

So there are 2 ways to abbreviate:
- 1a / 1o
- 1ra / 1ro

idem for plural:
- 43as/43ras
- 43os/43ros

Each time the 2 ways should return the same.
Comment 3 tommy27 2015-08-17 14:40:29 UTC
still reproducible with LibO 5.1.0.0.alpha1+
Build ID: 7d3fa6bae9f7a755eb2d0ca24bf1afd5f3646bb7
TinderBox: Win-x86@39, Branch:master, Time: 2015-08-09_08:38:08
Locale: it-IT (it_IT)
Comment 4 Thomas Lendo 2018-10-06 22:31:19 UTC
Set back from 'enhancement' to 'normal' bug.
Comment 5 QA Administrators 2019-10-07 03:00:55 UTC
Dear Gustavo Pacheco,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug